com.r3corda.core.contracts.clauses / SingleVerify

# SingleVerify

`interface SingleVerify`

### Functions

verify | `abstract fun verify(tx: TransactionForContract, commands: Collection<AuthenticatedObject<CommandData>>): Set<CommandData>` Verify the transaction matches the conditions from this clause. For example, a "no zero amount output" clause would check each of the output states that it applies to, looking for a zero amount, and throw IllegalStateException if any matched.

### Inheritors

SingleClause | `abstract class SingleClause : Clause, SingleVerify` A single verifiable clause. By default always matches, continues to the next clause when matched and errors if not matched.